import type { QuizQuestionBase, QuestionHint, QuestionBranchingRule, EditedUrlImagesList } from "./shared";

export interface QuizQuestionText extends QuizQuestionBase {
  type: "text";
  content: {
    id: string;
    placeholder: string;
    /** Чекбокс "Внутреннее название вопроса" */
    innerNameCheck: boolean;
    /** Поле "Внутреннее название вопроса" */
    innerName: string;
    /** Чекбокс "Необязательный вопрос" */
    required: boolean;
    /** Чекбокс "Автозаполнение адреса" */
    autofill: boolean;
    answerType: "single" | "multi" | "numberOnly";
    editedUrlImagesList?: EditedUrlImagesList | null;
    hint: QuestionHint;
    rule: QuestionBranchingRule;
    back: string | null;
    originalBack: string | null;
    onlyNumbers: boolean;
  };
}
