import { createTheme } from "@mui/material";
import theme from "../generic";

const themePublic = createTheme({
  ...theme,
  components: {
    MuiButton: {
      variants: [
        {
          props: {
            variant: "contained",
          },
          style: {
            padding: "13px 20px",
            borderRadius: "8px",
            boxShadow: "none",
            "&:active": {
              backgroundColor: "#000000",
              color: "#FFFFFF",
            },
            "&:disabled": {
              color: "#9A9AAF",
              border: "1px solid #9A9AAF",
            },
          },
        },
        {
          props: {
            variant: "outlined",
          },
          style: {
            padding: "10px 20px",
            borderRadius: "8px",
            "&:hover": {
              backgroundColor: "#581CA7",
              border: "1px solid #581CA7",
            },
          },
        },
      ],
    },
  },
});

export default themePublic;
